$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-1668900fb8778316365dcb42b57b67160416605b/rpcs3-v0.0.10-10479-1668900f_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '41c64dbb393302f078506b4118e8d2a64f012cdb0b6dc78a37a369ec09370008'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
